import java.util.ArrayList;

public class Zoo {

	private String location;
	private int numberOfCompounds;
	private ArrayList<Compound> compounds;

	public Zoo(String location, int numberOfCompounds) {
		this.location = location;
		this.numberOfCompounds = numberOfCompounds;
		setCompounds(new ArrayList<Compound>());
		for (int i=0; i<numberOfCompounds; i++) {
			this.getCompounds().add(new Compound());
		}
	}
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public void printInfo() {
		System.out.println("Location:"+location+"; Compounds:"+numberOfCompounds);
	}
	public ArrayList<Compound> getCompounds() {
		return compounds;
	}
	private void setCompounds(ArrayList<Compound> compounds) {
		this.compounds = compounds;
	}
}
