import java.util.ArrayList;

public class Compound {

	private ArrayList<Animal> animals;
	
	public Compound(){
		setAnimals(new ArrayList<Animal>());
	}
	public void addAnimal(Animal animal){
		getAnimals().add(animal);
	}
	public void removeAnimal(int index){
		try{
			getAnimals().remove(index);
		}catch(IndexOutOfBoundsException e){
			System.out.println("animal does not exist");
		}
	}
	public ArrayList<Animal> getAnimals() {
		return animals;
	}
	private void setAnimals(ArrayList<Animal> animals) {
		this.animals = animals;
	}
}
